.flexrow .roll-row {
  flex-grow: 1;
}

.gap-md {
  gap: 1em;
}
.gap-lg {
  gap: 2em;
}

.grid {
  display: grid;
}
.grid-equal-width {
  grid-auto-columns: 1fr;
  grid-auto-flow: column;
}
.grid-2-col {
  grid-template-columns: 1fr 1fr;
}

.roll-info {
  font-size: x-small;
}

.combat-item-grid {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
  column-gap: 2em;
  row-gap: 1em;
}

.combat-item-grid-sm {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));
  gap: 1em;
}

.grid-new-row {
  grid-column-start: 1;
}

.combat-attribute-label {
  text-align: center;
  font-size: large;
  white-space: nowrap;
}

.combat-attribute-label i {
  width: 18px;
}

.combat-attribute-value {
  text-align: center;
  font-size: x-large;
}

.combat-attribute-modifier {
  text-align: center;
  font-size: large;
}

.combat-attribute-inline {
  display: flex;
  justify-content: space-between;
  flex-wrap: nowrap;
  white-space: nowrap;
}

.combat-attribute-inline .combat-attribute-value {
  font-size: large;
}

.combat-item-header {
  display: flex;
  align-items: center;
  gap: 6px;
}

.ranged-selector {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 0.5em;
}

.traits-label {
  font-size: x-large;
}

.special-abilities-label {
  font-size: x-large;
}

.traits-list {
  width: 100%;
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-template-rows: auto;
  grid-row-gap: 0.5em;
  grid-column-gap: 1em;
}

.traits-list > div {
}

.special-abilities-list {
  width: 100%;
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-template-rows: auto;
  grid-row-gap: 0.5em;
  grid-column-gap: 1em;
  margin-bottom: 2em;
}

.special-abilities-list > div {
}

.effects {
  margin-top: 2em;
}

.effects-list {
  width: 100%;
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-template-rows: repeat(auto-fill, 1em);
  grid-row-gap: 1.5em;
  grid-column-gap: 1em;
  margin-bottom: 2em;
}

.effects-list > div {
  height: 32px;
}

.effects-list > div img {
  height: inherit;
}

.effects-list > div * {
  vertical-align: middle;
}

.effects-label {
  font-size: x-large;
}

.equipment-table-icon {
  width: 3rem;
}

.equipment-table-header {
  text-align: left;
}

.equipment-table-weight {
  width: 4rem;
}

.equipment-table-actions {
  width: 3rem;
}

.centered-table-content {
  text-align: center;
}

.journal-entry-page {
  height: 100%;
}

.sheet.actor .sub-tabs {
  margin: 4px 0;
  padding: 4px 0;
  border-bottom: 1px solid var(--color-border-light-primary);
}

.sheet-section {
  padding: 1em;
}

.sheet-section:not(:first-of-type) {
  border-top: 1px solid var(--color-border-light-primary);
}

.dsa-item-header {
  width: 100%;
  display: flex;
  border-bottom: 2px solid var(--color-underline-header);
}

.dsa-item-header-icon {
  width: 64px;
  flex-grow: 0;
  margin-bottom: 0.25rem;
}

.dsa-item-header-input > input {
  height: 2.5rem;
}

.dsa-item-header-input {
  flex-grow: 100;
  align-self: end;
  border-bottom: 0px;
  margin-left: 0.25rem;
  margin-right: 0.25rem;
  margin-bottom: 0.25rem;
}

.dsa-item-header-controls {
  flex-grow: 0;
  align-self: end;
  padding-bottom: 0.675rem;
  padding-right: 0.25rem;
}
